definitions:
    environment:
        app_value: &app_value
            vars: &vars
                AUTHOR: "Teachhay Lim"
                PROJECT_NAME: "Codemagic CI/CD"
    env_versions: &env_versions
        xcode: 15.2
        cocoapods: 1.14.3
        flutter: 3.16.5

workflows:
    dev_workflow:
        name: dev_workflow
        instance_type: mac_mini_m1
        max_build_duration: 60
        environment:
            groups:
                - gloabl_value
            <<: *app_value
        scripts:
            - name: Print
              script: |
                  echo $CM_TAG
        triggering:
            events:
                - tag
            tag_patterns:
                - pattern: "*-dev"
                  include: true
            cancel_previous_builds: true
        publishing:
            scripts:
                - name: Print
                  script: |
                      echo $CM_TAG
                - name: Send Notification to Telegram
                  script: |
                      curl -X POST -H 'Content-type: application/json' --data "{\"parse_mode\": \"markdown\", \"chat_id\": \"$PERSONAL_CHAT_ID\", \"text\": \"***Release version***: $CM_TAG \n***Project name***: $PROJECT_NAME \n***Platform***: Android \n***Environment***: Dev \n***Author***: $AUTHOR\"}" https://api.telegram.org/$PERSONAL_BOT_TOKEN/sendMessage

    staging_workflow:
        name: staging_workflow
        instance_type: mac_mini_m1
        max_build_duration: 60
        environment:
            groups:
                - gloabl_value
            <<: *app_value
        scripts:
            - name: Print
              script: |
                  echo $PROJECT_NAME
        triggering:
            events:
                - tag
            tag_patterns:
                - pattern: "*-staging"
                  include: true
            cancel_previous_builds: true
        publishing:
            scripts:
                - name: Send Notification to Telegram
                  script: |
                      curl -X POST -H 'Content-type: application/json' --data "{\"parse_mode\": \"markdown\", \"chat_id\": \"$PERSONAL_CHAT_ID\", \"text\": \"***Release version***: $CM_TAG \n***Project name***: $PROJECT_NAME \n***Platform***: Android \n***Environment***: Dev \n***Author***: $AUTHOR\"}" https://api.telegram.org/$PERSONAL_BOT_TOKEN/sendMessage

    dev_staging_workflow:
        name: dev_staging_workflow
        instance_type: mac_mini_m1
        max_build_duration: 60
        environment:
            groups:
                - gloabl_value
            <<: *app_value
        scripts:
            - name: Print
              script: |
                  echo $PROJECT_NAME
        triggering:
            events:
                - tag
            tag_patterns:
                - pattern: "*-release"
                  include: true
        publishing:
            scripts:
                - name: Send Notification to Telegram
                  script: |
                      curl -X POST -H 'Content-type: application/json' --data "{\"parse_mode\": \"markdown\", \"chat_id\": \"$PERSONAL_CHAT_ID\", \"text\": \"***Release version***: $CM_TAG \n***Project name***: $PROJECT_NAME \n***Platform***: Android \n***Environment***: Dev \n***Author***: $AUTHOR\"}" https://api.telegram.org/$PERSONAL_BOT_TOKEN/sendMessage
